/*
 * main.cpp
 *
 *  Created on: 08. 02. 2015
 *      Author: wn
 */

#include <intrinsics.h>
//#include <isr_compat.h>
#include <msp430g2553.h>
#include <stdint.h>

#include "pwm.h"




void init() {
  // disable watchdog
  WDTCTL = WDTPW | WDTHOLD;

  // highest possible system clock
  DCOCTL = DCO0 | DCO1 | DCO2;
  BCSCTL1 = XT2OFF | RSEL0 | RSEL1 | RSEL2 | RSEL3;
  BCSCTL2 = 0;
  BCSCTL3 = 0;

  P1DIR |= BIT0 | BIT1 | BIT2 | BIT3;
}

int main() {
  init();
  pwmInit();

  __enable_interrupt();

  while (1) {
  }
}


